Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PropertyList

    java.lang.Object
      org.jboss.portal.wsrp.core.PropertyList

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyList

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected Property[]` | `properties`
`protected ResetProperty[]` | `resetProperties`

Constructor Summary
`PropertyList()`
`PropertyList(Property[] properties, ResetProperty[] resetProperties, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`Property[]` | `getProperties()`
`ResetProperty[]` | `getResetProperties()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setProperties(Property[] properties)`
`void` | `setResetProperties(ResetProperty[] resetProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected Property[] properties

### resetProperties

    protected ResetProperty[] resetProperties

### extensions

    protected Extension[] extensions

Constructor Detail

### PropertyList

    public PropertyList()

### PropertyList

    public PropertyList(Property[] properties,
                        ResetProperty[] resetProperties,
                        Extension[] extensions)

Method Detail

### getProperties

    public Property[] getProperties()

### setProperties

    public void setProperties(Property[] properties)

### getResetProperties

    public ResetProperty[] getResetProperties()

### setResetProperties

    public void setResetProperties(ResetProperty[] resetProperties)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD